import { getLuminance, lighten, darken } from 'polished';
import parseColor from './parseColor';

var buttonHover = function buttonHover(theme, hexa) {
  var percent = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0.1;
  var isColorLight = getLuminance(hexa) > 0.179;

  if (theme.buttonHover) {
    var hoverDark = theme.buttonHover.dark;
    var hoverLight = theme.buttonHover.light;
    return isColorLight ? parseColor(hoverLight) : parseColor(hoverDark);
  }

  return isColorLight ? darken(percent, hexa) : lighten(percent, hexa);
};

export default buttonHover;